igeo.io

## Class I3DXML.Instance3D

- java.lang.Object
- - igeo.io.I3DXML.I3DXMLNode
  - - igeo.io.I3DXML.Instance3D

- Enclosing class:
    I3DXML

      public static class I3DXML.Instance3D
      extends I3DXML.I3DXMLNode

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `aggregatedBy`
    `I3DXML.I3DXMLNode` | `aggregatedNode`
    `int` | `instanceOf`
    `I3DXML.Reference3D` | `reference`
    `I3DXML.Matrix4x3` | `relativeMatrix`

    - ### Fields inherited from class igeo.io.I3DXML.I3DXMLNode

      `id, name, nameDelimiter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Instance3D()`
    `Instance3D(int id)`
    `Instance3D(int id, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<IGeometry>` | `instantiate(IMatrix4 transform)`
    `void` | `link(I3DXML xml)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### aggregatedBy

          public int aggregatedBy

    - #### instanceOf

          public int instanceOf

    - #### relativeMatrix

          public I3DXML.Matrix4x3 relativeMatrix

    - #### aggregatedNode

          public I3DXML.I3DXMLNode aggregatedNode

    - #### reference

          public I3DXML.Reference3D reference

  - ### Constructor Detail

    - #### Instance3D

          public Instance3D()

    - #### Instance3D

          public Instance3D(int id)

    - #### Instance3D

          public Instance3D(int id,
                            java.lang.String name)

  - ### Method Detail

    - #### link

          public void link(I3DXML xml)

    - #### instantiate

          public java.util.ArrayList<IGeometry> instantiate(IMatrix4 transform)

      Overrides:
        `instantiate` in class `I3DXML.I3DXMLNode`